# Python Workers

A Python worker is expected to do the following:

Interpret information commands
  * `option` returns possible options for the interface
  * `ports` returns a list of available ports

Interpret operation commands
  * `read`
  * `write`
  * `ask`

The worker accepts JSON strings and returns JSON strings

The response JSON contains at least one of the following sections:
* `data` for the results
* `error` with information about what failed

## Options

The option object shall contain at least the following information:
* `name`: Name of the option
* `type`: Type (Int, Float, String)

It can also contain any of these additional informations:
* `description`: A short description of the option
* `values`: List of allowed values. If the list contains the empty element, any value of the type is allowed

## Ports

Ports shall contain at least the following information:
* `device`: information for the driver, how to connect to the device
* `name`: System name for the device

It can also contain any of the following informations:
* `description`: Short description
* `specific`: Interface specific information